<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.2
Name: AbschliessendeBemerkung
Description: Ein am Ende des Briefes formulierter Freitext. Der Text soll keine fachlich relevante Information beinhalten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.2.2-2012-07-14T000000">
   <title>AbschliessendeBemerkung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]
Item: (AbschliessendeBemerkung)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]
Item: (AbschliessendeBemerkung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]"
         id="tmp-r-7be1b09c-6bc2-4672-83ab-010736fcaaa4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.2'])&gt;=1 ">(AbschliessendeBemerkung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.2'])&lt;=1">(AbschliessendeBemerkung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')])&gt;=1 and not(hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')]/@nullFlavor)">(AbschliessendeBemerkung): Element hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')])&lt;=1">(AbschliessendeBemerkung): Element hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:title)&gt;=1 ">(AbschliessendeBemerkung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:title)&lt;=1">(AbschliessendeBemerkung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:text)&gt;=1 ">(AbschliessendeBemerkung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="count(hl7:text)&lt;=1">(AbschliessendeBemerkung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:templateId
Item: (AbschliessendeBemerkung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:templateId"
         id="tmp-r-9b2e9aa4-7467-4596-88f7-7c77338acf93">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.2.2'">(AbschliessendeBemerkung): @root MUSS den Wert '1.2.40.0.34.11.1.2.2' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')]
Item: (AbschliessendeBemerkung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')]"
         id="tmp-r-681fc26b-9787-4673-87a7-3648fce8a536">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="@nullFlavor or (@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Abschließende Bemerkungen')">(AbschliessendeBemerkung): Der Elementinhalt MUSS sein code 'ABBEM' codeSystem '1.2.40.0.34.5.40' displayName='Abschließende Bemerkungen'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:title
Item: (AbschliessendeBemerkung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:title"
         id="tmp-r-98f9399f-4bcc-4643-abd9-95f07975db7e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="text()='Abschließende Bemerkungen'">(AbschliessendeBemerkung): Der Elementinhalt von 'hl7:title' MUSS ''Abschließende Bemerkungen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:text
Item: (AbschliessendeBemerkung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]/hl7:text"
         id="tmp-r-bba6e349-1311-4be4-96a2-de912ce2ee7e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.1.2.2-2012-07-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
