<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.13
Name: Kommunikation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.13-2011-12-19T000000">
   <title>Kommunikation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]
Item: (Kommunikation)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]
Item: (Kommunikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]"
         id="tmp-r-dc89d7b3-7ebd-469c-a8a5-782f1ef4fffb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.13'])&gt;=1 ">(Kommunikation): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.13'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.13'])&lt;=1">(Kommunikation): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')])&gt;=1 and not(hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')]/@nullFlavor)">(Kommunikation): Element hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')])&lt;=1">(Kommunikation): Element hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Kommunikation): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Kommunikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Kommunikation): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Kommunikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]])&lt;=1">(Kommunikation): Element hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])&lt;=1">(Kommunikation): Element hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:templateId
Item: (Kommunikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:templateId"
         id="tmp-r-b309344b-9f27-4abd-93f6-2b0af563fc7e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Kommunikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.13'">(Kommunikation): @root MUSS den Wert '1.2.40.0.34.11.3.2.13' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')]
Item: (Kommunikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')]"
         id="tmp-r-1af54585-d087-48fe-b5b1-94de7b1bb197">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Kommunikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')">(Kommunikation): Der Elementinhalt MUSS sein code 'PFKOMM' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:title
Item: (Kommunikation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:title"
         id="tmp-r-f9cb9f5c-44e7-4549-9a5c-89c95730d934">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Kommunikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.3.2.13-2011-12-19T000000.html"
              test="text()='Kommunikation'">(Kommunikation): Der Elementinhalt von 'hl7:title' MUSS ''Kommunikation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:text
Item: (Kommunikation)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]
Item: (RisikenHilfsmittelRessourcen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]"
         id="tmp-r-7e9401b8-7335-455d-bca5-2e1b1ee620c1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]]
Item: (RisikenHilfsmittelRessourcen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]]"
         id="tmp-r-511613c4-2dff-418b-b4c8-5f18b18a7e97">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140325T131937/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
